package android.aidl.nexos.chat;

import android.aidl.nexos.chat.IMessagingListener;

interface ILocationService{

	 void addMessagingListener(in IMessagingListener listener);

	 void removeMessagingListener(in IMessagingListener listener);
	 
	 String sendLocationShare(long conversationId, in String address, in double lat, in double lng);
	 
	 String sendLocationShareToGroupChat(long conversationId, in String groupContributionId, in String address, in double lat, in double lng);

	 boolean retrySending(String msgId, String contribId);
}