package android.aidl.nexos.chat;

import android.aidl.nexos.chat.IMessageStoreListener;

interface IMessageStoreService {

    void addListener(in IMessageStoreListener listener);

    void removeListener(in IMessageStoreListener listener);

	void startSync();

	boolean isSyncing();
	
	void deleteMessage(String messageId);
	
	void deleteConversation(long conversationId);
}