package android.aidl.nexos.media;

import android.aidl.nexos.media.IVideoRemoteSurfaceListener;

import android.view.Surface;

interface IVideo {
    void setRenderingSurface(in Surface surface);

    void setSurfaceDimens(int width, int height);

    void setVideoRemoteSurfaceListener(in IVideoRemoteSurfaceListener listener);

	void onPhoneOrientationChanged(int newOrientation);

	void setFullScreen(boolean fullScreen);

	boolean isFullScreen();

	void release();

	void init(int length, int width, int height, in String format);

	boolean onVideoFrame(in byte[] frame, boolean isRotationAware, int rotation, int isFrontCamera);
}
