package android.aidl.nexos.telephony;

import android.aidl.nexos.mmtel.IMMTelSession;
import android.aidl.nexos.telephony.IBroadworksScaListener;
import nexos.telephony.ISharedCallAppearance;

// Declare the interface.
interface IBroadworksSca {
	
	 void addScaListener(in IBroadworksScaListener listener);

     void removeListener(in IBroadworksScaListener listener);

	 ISharedCallAppearance getCurrentAppearance();

	 IMMTelSession bargeOrRetrieveCall( String localUri, int lineIndex);
	 
	 int getScaLineIndex( String callId);

	 boolean isScaNotifyEnabled();
}