precision mediump float;
uniform mat4 uTransformM;
uniform mat4 uOrientationM;
uniform vec2 uRatio;
attribute vec2 aPosition;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;

void main(){
	gl_Position = vec4(aPosition, 0.0, 1.0);
	textureCoordinate = (uTransformM * ((uOrientationM * gl_Position + 1.0)*0.5)).xy;
	textureCoordinate2 = (uTransformM * ((uOrientationM * gl_Position + 1.0)*0.5)).xy;
	gl_Position.xy *= uRatio;
}