
// Include your fully-qualified package statement.
package android.aidl.nexos.audio;


// Declare the interface.
interface IAudioManagerService {

    boolean setAudioMode(int audioMode);

    int getAudioMode();

    boolean isBluetoothAvailable();

    boolean isBluetoothHeadsetAudioOn(String callId);

    void toggleMute(String callId);

    boolean isMuted(String callId);

    boolean isWiredHeadsetOn();
}