package android.aidl.nexos.ft;

import android.aidl.nexos.ft.IFileTransferListener;
import android.aidl.nexos.chat.IMessagingListener;
import android.aidl.nexos.INexosResult;

interface IFileTransferService{
		
	 String sendFile(long conversationId, String filepath);
	
	 String sendFileToGroupChat(long conversationId, String groupContributionId, String filepath);

	 void addMessagingListener(in IMessagingListener listener);

	 void removeMessagingListener(in IMessagingListener listener);

	 void cancelFileTransfer(String ftId);

	 double getProgress(String ftId);

	 void setListener(in IFileTransferListener listener);

	 boolean downloadFile(String ftId);

	 boolean canDownloadFile(String ftId);

	 void rejectIncoming(String ftId);
	 
	 void resumeFileTransfer(String ftId);

	 boolean retrySending(String msgId);
}