// Include your fully-qualified package statement.
package android.aidl.nexos.media;

import android.aidl.nexos.media.IVideo;
import android.aidl.nexos.media.IVideoFrameHandler;
import android.aidl.nexos.media.IVideoRecorder;

import android.os.ParcelFileDescriptor;

// Declare the interface.
interface IMediaService {

	IVideoFrameHandler createVideoInFrameHandler(boolean reuseExistingVideoIn);

	void setVideoRemoteFrameHandler(in IVideoFrameHandler frameHandler);
	
	String getRecommendedVideoResolution();
}