// Include your fully-qualified package statement.
package android.aidl.nexos.media;

import android.aidl.nexos.media.IVideoRecorderListener;

// Declare the interface.
interface IVideoRecorder {

	boolean isRecording();

	void startRecording(String filepath, String tmpFolder, int width, int height);

	void stopRecording();

	void setRotationAngle(int rotation);
	
	void setListener(in IVideoRecorderListener listener);

	void close();
}