precision mediump float;

attribute vec2 aPosition;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;
uniform float flipHorizontal;
uniform float flipVertical;


void main() {
    gl_Position = vec4(aPosition.xy, 0.0, 1.0);
	textureCoordinate = ((gl_Position + 1.0) * 0.5).xy;
	textureCoordinate = vec2(abs(flipHorizontal - textureCoordinate.x), abs(flipVertical - textureCoordinate.y));
	textureCoordinate2 = ((gl_Position + 1.0) * 0.5).xy;
	textureCoordinate2 = vec2(abs(flipHorizontal - textureCoordinate2.x), abs(flipVertical - textureCoordinate2.y));
}